Bug 503102 - Password Policy documentation in Admin Guide misleading
Password Policy documentation in Admin Guide misleading
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-administration-guide (Show other bugs)
8.1
All Linux
high Severity low
: DSDocs
: ---
Assigned To: Andrew Ross
ecs-bugs
: Documentation
Depends On:
Blocks: 555930 639035
  Show dependency treegraph
 
Reported: 2009-05-28 16:54 EDT by Chris St. Pierre
Modified: 2013-10-20 18:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-14 22:21:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris St. Pierre 2009-05-28 16:54:28 EDT
At the bottom of page 369 in the RHDS Administrator's Guide, there's some misleading verbiage:

4. Set the password policy attributes of subtree or user entry with the appropriate values.

Table 7.1, “Password Policy Attributes” describes the attributes available to configure the password policy. The ldapmodify utility can be used to change these attributes in the cn=config entry.

The attributes should *not* be set in cn=config, but rather on the nwPwPolicyEntry entry corresponding to the user or subtree you are setting policy for.
Comment 1 Deon Ballard 2009-08-28 12:51:39 EDT
I corrected step 4, as indicated. The new text reads:

#########

4. Set the password policy attributes for the subtree or user entry with the appropriate values.

Table 7.1, “Password Policy Attributes” describes the attributes available to configure the password policy. The ldapmodify utility can be used to change these attributes in the subtree or user entry which contains the nwPwPolicyEntry object class. 

#########


Link: http://www.redhat.com/docs/manuals/dir-server/8.1/admin/User_Account_Management.html#Configuring_the_Password_Policy-Configuring_SubtreeUser_Password_Policy_Using_the_Command_Line 

Changing status to modified.
Comment 4 John Skeoch 2010-10-26 21:46:52 EDT
Text has been replaced however the nwPwPolicyEntry is shown as nsPwPolicyEntry...

Proposed text:

Table 7.1, “Password Policy Attributes” describes the attributes available to
configure the password policy. The ldapmodify utility can be used to change
these attributes in the subtree or user entry which contains the
nwPwPolicyEntry object class. 

Actual text:

Table 7.1, “Password Policy Attributes” describes the attributes available to configure the password policy. The ldapmodify utility can be used to change 
these attributes in the subtree or user entry which contains the 
nsPwPolicyEntry object class.
Comment 5 Deon Ballard 2010-10-27 09:19:30 EDT
If you look throughout the chapter, the entry name used is nsPwPolicyEntry. I updated it (previously) to match the actual entry name; I think the nw is a typo.
Comment 6 Deon Ballard 2011-03-04 13:30:03 EST
I'm assigning these to Andrew Ross to verify and close. All of these changes were done when 8.2 was released last year and are ready to be closed.
Comment 8 Andrew Ross 2011-06-14 22:21:17 EDT
Doc is live. Closing:

http://docs.redhat.com/docs/en-US/Red_Hat_Directory_Server/8.2/html-single/Administration_Guide/index.html

Red_Hat_Directory_Server-Administration_Guide-8.2-web-en-US-8.2.13-0.17.el5

Note You need to log in before you can comment on or make changes to this bug.